.\" $NetBSD: iwi.4,v 1.15 2009/02/06 14:42:20 wiz Exp $
.\"
.\" Copyright (c) 2004, 2005
.\"	Damien Bergamini <damien.bergamini@free.fr>. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice unmodified, this list of conditions, and the following
.\"    disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd February 5, 2009
.Dt IWI 4
.Os
.Sh NAME
.Nm iwi
.Nd Intel PRO/Wireless 2200BG/2915ABG IEEE 802.11 driver
.Sh SYNOPSIS
.Cd "iwi* at pci? dev ? function ?"
.Sh DESCRIPTION
The
.Nm
driver provides support for Intel(R) PRO/Wireless 2200BG and 2915ABG MiniPCI
network adapters.
.Pp
By default, the
.Nm
driver configures the adapter for BSS operation (aka infrastructure mode).
This mode requires the use of an access point.
.Pp
For more information on configuring this device, see
.Xr ifconfig 8 .
.Pp
The Intel firmware requires acceptance of the End User License Agreement.
The full license text can be found in
.Pa /libdata/firmware/if_iwi/LICENSE.ipw2200-fw .
The license is agreed to by setting the sysctl variable
.Dv hw.iwi.accept_eula
to 1.
.Sh EXAMPLES
Join an existing BSS network (i.e.: connect to an access point):
.Pp
.Dl "ifconfig iwi0 inet 192.168.0.20 netmask 0xffffff00"
.Pp
Join a specific BSS network with network name
.Dq Li my_net :
.Pp
.Dl "ifconfig iwi0 inet 192.168.0.20 netmask 0xffffff00 nwid my_net"
.Pp
Join a specific BSS network with 64 bits WEP encryption:
.Bd -literal -offset indent
ifconfig iwi0 inet 192.168.0.20 netmask 0xffffff00 nwid my_net \e
        nwkey 0x1234567890
.Ed
.Pp
Join a specific BSS network with 128bits WEP encryption:
.Bd -literal -offset indent
ifconfig iwi0 inet 192.168.0.20 netmask 0xffffff00 nwid my_net \e
        nwkey 0x01020304050607080910111213
.Ed
.Sh DIAGNOSTICS
.Bl -diag
.It "iwi%d: device timeout"
The driver will reset the hardware.
This should not happen.
.El
.Sh SEE ALSO
.Xr an 4 ,
.Xr awi 4 ,
.Xr ipw 4 ,
.Xr pci 4 ,
.Xr wi 4 ,
.Xr ifconfig 8 ,
.Xr iwictl 8 ,
.Xr firmload 9
.Rs
.%T The IWI Web Page
.%O http://damien.bergamini.free.fr/ipw/
.Re
.Sh AUTHORS
The
.Nm
driver and this man page were written by
.An Damien Bergamini Aq damien.bergamini@free.fr .
